## subnetcalc 2.4.13

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.0.2)
PROJECT(subnetcalc LANGUAGES C CXX)

SET(BUILD_MAJOR "2")
SET(BUILD_MINOR "4")
SET(BUILD_PATCH "13")
SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})


#############################################################################
# INSTALLATION_DIRECTORIES
#############################################################################

# See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
INCLUDE(GNUInstallDirs)


#############################################################################
# PACKAGING
#############################################################################

SET(CPACK_SOURCE_GENERATOR "TXZ")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME
   "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
SET(CPACK_SOURCE_IGNORE_FILES
   "${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}-*;${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}_*;/build/;/.git/;/config.log;/CMakeFiles/;CMakeCache.txt$;.cmake$;.tar.gz$;/_CPack_Packages;/Makefile$;~$;/build-deb;/clean-deb;/filter-empty-entries;/make-symbols;/make-ppa;/make-deb;/debian.conf;/make-rpm;/rpm.conf;${CPACK_SOURCE_IGNORE_FILES}")
INCLUDE(CPack)

ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} clean package_source)


INCLUDE(CheckIncludeFile)
INCLUDE(CheckStructHasMember)


#############################################################################
# OS DEPENDENT
#############################################################################

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    ADD_DEFINITIONS("-DLINUX")
    FIND_LIBRARY(SCTP_LIB sctp)

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include")
    ADD_DEFINITIONS("-DFreeBSD")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include" "/usr/local/opt/openssl/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include" "/usr/local/opt/openssl/include")
    ADD_DEFINITIONS("-DDARWIN")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    LIST(APPEND neat_headers neat_bsd.h)
    LIST(APPEND neat_sources neat_bsd.c)
    SET(CMAKE_REQUIRED_INCLUDES "/usr/pkg/include" "/usr/include" "/usr/local/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/pkg/include" "/usr/local/include")
    ADD_DEFINITIONS("-DNetBSD")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    ADD_DEFINITIONS("-DSOLARIS")

ELSE()
    MESSAGE(FATAL_ERROR ${CMAKE_SYSTEM_NAME} " not supported (yet?)")

ENDIF()

FIND_PACKAGE(Threads REQUIRED)


#############################################################################
# CHECK STRUCT MEMBERS
#############################################################################

CHECK_STRUCT_HAS_MEMBER("struct sockaddr" "sa_len" "sys/types.h;sys/socket.h" HAVE_SA_LEN)
IF (HAVE_SA_LEN)
    MESSAGE(STATUS "HAVE_SA_LEN")
    ADD_DEFINITIONS(-DHAVE_SA_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_in" "sin_len" "sys/types.h;netinet/in.h" HAVE_SIN_LEN)
IF (HAVE_SIN_LEN)
    MESSAGE(STATUS "HAVE_SIN_LEN")
    ADD_DEFINITIONS(-DHAVE_SIN_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_in6" "sin6_len" "sys/types.h;netinet/in.h" HAVE_SIN6_LEN)
IF (HAVE_SIN6_LEN)
    MESSAGE(STATUS "HAVE_SIN6_LEN")
    ADD_DEFINITIONS(-DHAVE_SIN6_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_storage" "ss_len" "sys/types.h;sys/socket.h" HAVE_SS_LEN)
IF (HAVE_SS_LEN)
    MESSAGE(STATUS "HAVE_SS_LEN")
    ADD_DEFINITIONS(-DHAVE_SS_LEN)
ENDIF()


#############################################################################
# REQUIREMENTS
#############################################################################

# ###### GeoIP ##############################################################
FIND_PACKAGE(PkgConfig)
PKG_SEARCH_MODULE(GEOIP geoip)

FIND_PATH(GEOIP_INCLUDE_DIR GeoIP.h
  HINTS
    "${GEOIP_INCLUDEDIR}"
    "${GEOIP_HINTS}/include"
)
FIND_LIBRARY(GEOIP_LIBRARY NAMES GeoIP
  HINTS
    "${GEOIP_LIBDIR}"
    "${GEOIP_HINTS}/lib"
  )

IF (GEOIP_FOUND)
   INCLUDE_DIRECTORIES(${GEOIP_INCLUDE_DIR})
   ADD_DEFINITIONS(-DHAVE_GEOIP -DHAVE_GEOIP_IPV6)
ENDIF()


#############################################################################
# COMPILER FLAGS
#############################################################################

SET(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -Wall")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

IF (CMAKE_BUILD_TYPE MATCHES DEBUG)
    MESSAGE(STATUS "Building in DEBUG mode")
    # _FORTIFY_SOURCE requires compiling with optimization
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O")
ENDIF()


#############################################################################
# SUBDIRECTORIES
#############################################################################

ADD_SUBDIRECTORY(src)

=== src/CMakeLists.txt ===
#############################################################################
# PROGRAMS
#############################################################################

ADD_EXECUTABLE(subnetcalc subnetcalc.cc tools.cc)
TARGET_LINK_LIBRARIES(subnetcalc ${GEOIP_LIBRARY})
INSTALL(TARGETS subnetcalc RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES subnetcalc.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

## subnetcalc 2.1.1

=== debian/changelog ===
subnetcalc (2.1.1-2) unstable; urgency=low

  * Upstream version update with support for libgeoip.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 30 Jun 2010 17:23:11 +0200

subnetcalc (2.0.4-1) unstable; urgency=low

  * Turned off DH_VERBOSE.
  * Updated Homepage to homepage of SubNetCalc.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 10 Jun 2009 22:29:32 +0200

subnetcalc (2.0.3-1) unstable; urgency=low

  * Initial Debian release (Closes: #531710).
  * Initial Ubuntu release (LP: #325653).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 08 Jun 2009 22:59:32 +0200

=== debian/control ===
Source: subnetcalc
Section: net
Priority: optional
Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
Homepage: http://www.iem.uni-due.de/~dreibh/subnetcalc/
Build-Depends: debhelper (>= 5), autotools-dev, libgeoip-dev
Standards-Version: 3.8.4

Package: subnetcalc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: traceroute, iputils-tracepath, iputils-ping, rsplib-tools, whois
Description: IPv4/IPv6 Subnet Calculator
 SubNetCalc is an IPv4/IPv6 subnet address calculator. For given IPv4 or
 IPv6 address and netmask or prefix length, it calculates network address,
 broadcast address, maximum number of hosts and host address range. The
 output is colourized for better readability (e.g. network part, host part).
 Also, it prints the addresses in binary format for better understandability.
 Furthermore, it can identify the address type (e.g. multicast, unique local,
 site local, etc.) and extract additional information from the address
 (e.g. type, scope, interface ID, etc.). Finally, it can generate
 IPv6 unique local prefixes.

## subnetcalc 2.1.2

=== debian/changelog ===
subnetcalc (2.1.2-1) unstable; urgency=low

  * New upstream version with fixes for FreeBSD build scripts.
  * Updated standards version.
  * New upstream version bug closed (Closes: #591381).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 05 Aug 2010 21:38:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
 Homepage: http://www.iem.uni-due.de/~dreibh/subnetcalc/
 Build-Depends: debhelper (>= 5), autotools-dev, libgeoip-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: subnetcalc
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1   # [TD: Turned off -- must be commented out!]
export DH_OPTIONS
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	cp /usr/share/misc/config.sub config.sub
	cp /usr/share/misc/config.guess config.guess
	./configure --host=$(DEB_HOST_GNU_TYPE) \
	       --with-geoip \
               --build=$(DEB_BUILD_GNU_TYPE) \
               --prefix=/usr --mandir=\$${prefix}/share/man \
               --infodir=\$${prefix}/share/info \
               CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


#Architecture
build: build-arch    # build-indep   [TD: build-indep not necessary]

build-arch: build-arch-stamp
build-arch-stamp:  config.status
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:  config.status
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean

install: install-arch   # install-indep   [TD: install-indep not necessary]
install-indep:
	dh_testdir
	dh_testroot
#	dh_clean -k -i
	dh_installdirs -i
	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
#	dh_clean -k -s
	dh_installdirs -s
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install -s

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installinit
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch   # binary-indep   [TD: binary-indep not necessary]
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

## subnetcalc 2.1.3

=== debian/changelog ===
subnetcalc (2.1.3-1ubuntu2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:46:00 +0000

subnetcalc (2.1.3-1ubuntu1) vivid; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 02 Dec 2014 13:11:59 -0500

subnetcalc (2.1.3-1) unstable; urgency=high

  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch to debhelper 7 using tiny rules.
  * debian/control:
    Applied wrap-and-sort script to wrap lines and sort dependencies.
    Updated standards version to 3.9.2.
  * New upstream version bug closed (Closes: #625081).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 04 May 2011 07:07:07 +0100

subnetcalc (2.1.2-1) maverick; urgency=low

  * New upstream version with fixes for FreeBSD build scripts.
  * Updated standards version.
  * New upstream version bug closed (Closes: #591381).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 05 Aug 2010 21:38:38 +0200

subnetcalc (2.1.1-2) maverick; urgency=low

  * Upstream version update with support for libgeoip.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 30 Jun 2010 17:23:11 +0200

=== debian/watch ===
version=3
http://www.iem.uni-due.de/~dreibh/subnetcalc/index.html    download/subnetcalc-(.*)\.tar\.gz

## subnetcalc 2.4.13

=== debian/changelog ===
subnetcalc (2.4.13-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:26:18 +0100

subnetcalc (2.4.13-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 07 Aug 2019 17:40:55 +0200

subnetcalc (2.4.12-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 25 Jul 2019 15:09:24 +0200

subnetcalc (2.4.11-1) disco; urgency=medium

  * New upstream version.
  * debian/control: updated standards version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 27 Feb 2019 08:08:08 +0800

subnetcalc (2.4.10-1) cosmic; urgency=low

  * New upstream version.
  * debian/upstream/metadata: added metadata file.
  * debian/tests/control: added tests control file.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 17 Oct 2018 08:08:08 +0800

subnetcalc (2.4.9-1) bionic; urgency=low

  * New upstream version.
  * debian/rules: Change from autoconf/automake to cmake.
  * debian/control: Change from autoconf/automake to cmake.
  * debian/control: Updated standards version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 07 Jun 2018 08:08:08 +0800

subnetcalc (2.4.8-1) bionic; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 29 Oct 2017 08:08:08 +0800

subnetcalc (2.4.7-1) artful; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 09 Aug 2017 08:08:08 +0800

subnetcalc (2.4.6-1) artful; urgency=low

  * New upstream version.
  * debian/watch: URL update
  * debian/control: URL update

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 09 Aug 2017 08:08:08 +0800

subnetcalc (2.4.5-1) xenial; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 04 Nov 2016 08:08:08 +0800

subnetcalc (2.4.4-1) xenial; urgency=low

  * New upstream version.
  * debian/control: Updated standards version.
  * debian/control: added dependency dpkg-dev for hardening options.
  * debian/copyright: fix for machine-readable format.
  * debian/rules: using buildflags.mk for hardening options.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 04 Apr 2016 08:08:08 +0800

subnetcalc (2.4.3-1) xenial; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 27 Oct 2015 08:08:08 +0800

subnetcalc (2.4.2-1) wily; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 11 May 2015 08:08:08 +0800

subnetcalc (2.4.1-1) vivid; urgency=low

  * debian/copyright: changed to machine-readable format.
  * debian/control: updated standards version.
  * debian/watch: added pgpsigurlmangle option.
  * debian/upstream/signing-key.asc: added upstream public key.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 01 Mar 2015 08:08:08 +0800

subnetcalc (2.3.1-1) utopic; urgency=low

  * debian/control: updated standards version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 28 Jul 2014 08:08:08 +0800

subnetcalc (2.2.1-1) trusty; urgency=low

  * debian/subnetcalc.manpages: Changed manpage category from 8 to 1.
  * debian/control: now compiling with colorgcc.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 13 Mar 2014 08:08:08 +0800

subnetcalc (2.1.3-1) oneiric; urgency=high

  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch to debhelper 7 using tiny rules.
  * debian/control:
    Applied wrap-and-sort script to wrap lines and sort dependencies.
    Updated standards version to 3.9.2.
  * New upstream version bug closed (Closes: #625081).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 04 May 2011 07:07:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,25 @@
 Section: net
 Priority: optional
 Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
-Homepage: http://www.iem.uni-due.de/~dreibh/subnetcalc/
-Build-Depends: debhelper (>= 5), autotools-dev, libgeoip-dev
-Standards-Version: 3.9.1
+Homepage: https://www.uni-due.de/~be0001/subnetcalc/
+Build-Depends: cmake (>= 3.0.2) | cmake3,
+               debhelper (>= 12),
+               libfile-fcntllock-perl,
+               libgeoip-dev,
+               pkg-config
+Standards-Version: 4.4.0.1
+Vcs-Git: https://github.com/dreibh/subnetcalc.git
+Vcs-Browser: https://github.com/dreibh/subnetcalc
 
 Package: subnetcalc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: traceroute, iputils-tracepath, iputils-ping, rsplib-tools, whois
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: iputils-ping,
+            iputils-tracepath,
+            rsplib-tools,
+            traceroute,
+            whois
 Description: IPv4/IPv6 Subnet Calculator
  SubNetCalc is an IPv4/IPv6 subnet address calculator. For given IPv4 or
  IPv6 address and netmask or prefix length, it calculates network address,

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --

# Use upstream ChangeLog for installation
override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.uni-due.de/~be0001/subnetcalc/index.html    download/subnetcalc-(.*)\.tar\.xz

## subnetcalc 2.4.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 SET(BUILD_MAJOR "2")
 SET(BUILD_MINOR "4")
-SET(BUILD_PATCH "13")
+SET(BUILD_PATCH "16")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})

=== debian/changelog ===
subnetcalc (2.4.16-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.2.
  * debian/tests: added simple test (Closes: #939058).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 18 May 2020 12:59:09 +0200

subnetcalc (2.4.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.0.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 07 Feb 2020 13:21:27 +0100

subnetcalc (2.4.14-1) eoan; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 14 Aug 2019 15:34:32 +0200

subnetcalc (2.4.13-1) eoan; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 07 Aug 2019 17:40:55 +0200

subnetcalc (2.4.12-1) eoan; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 25 Jul 2019 15:09:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
 Homepage: https://www.uni-due.de/~be0001/subnetcalc/
 Build-Depends: cmake (>= 3.0.2) | cmake3,
-               debhelper (>= 12),
+               debhelper (>= 13),
                libfile-fcntllock-perl,
                libgeoip-dev,
                pkg-config
-Standards-Version: 4.4.0.1
+Standards-Version: 4.5.0.2
+Rules-Requires-Root: binary-targets
 Vcs-Git: https://github.com/dreibh/subnetcalc.git
 Vcs-Browser: https://github.com/dreibh/subnetcalc

## subnetcalc 2.4.19

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 SET(BUILD_MAJOR "2")
 SET(BUILD_MINOR "4")
-SET(BUILD_PATCH "16")
+SET(BUILD_PATCH "19")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})
 
 
@@ -39,42 +39,29 @@
 
 IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
     MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
-    ADD_DEFINITIONS("-DLINUX")
-    FIND_LIBRARY(SCTP_LIB sctp)
 
 ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
     MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
     SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include")
     SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
     INCLUDE_DIRECTORIES("/usr/local/include")
-    ADD_DEFINITIONS("-DFreeBSD")
 
 ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
     MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
     SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include" "/usr/local/opt/openssl/include")
     SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
     INCLUDE_DIRECTORIES("/usr/local/include" "/usr/local/opt/openssl/include")
-    ADD_DEFINITIONS("-DDARWIN")
 
 ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
     MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
-    LIST(APPEND neat_headers neat_bsd.h)
-    LIST(APPEND neat_sources neat_bsd.c)
     SET(CMAKE_REQUIRED_INCLUDES "/usr/pkg/include" "/usr/include" "/usr/local/include")
     SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
     INCLUDE_DIRECTORIES("/usr/pkg/include" "/usr/local/include")
-    ADD_DEFINITIONS("-DNetBSD")
-
-ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
-    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
-    ADD_DEFINITIONS("-DSOLARIS")
 
 ELSE()
     MESSAGE(FATAL_ERROR ${CMAKE_SYSTEM_NAME} " not supported (yet?)")
 
 ENDIF()
-
-FIND_PACKAGE(Threads REQUIRED)
 
 
 #############################################################################

=== debian/changelog ===
subnetcalc (2.4.19-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.0.1.
  * debian/control: Dependency update (Closes: #737575).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 08 Nov 2021 20:10:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
 Homepage: https://www.uni-due.de/~be0001/subnetcalc/
-Build-Depends: cmake (>= 3.0.2) | cmake3,
-               debhelper (>= 13),
+Build-Depends: cmake (>= 3.0.2),
+               debhelper-compat (= 13),
                libfile-fcntllock-perl,
                libgeoip-dev,
                pkg-config
-Standards-Version: 4.5.0.2
-Rules-Requires-Root: binary-targets
+Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
 Vcs-Git: https://github.com/dreibh/subnetcalc.git
 Vcs-Browser: https://github.com/dreibh/subnetcalc
 
@@ -17,10 +17,10 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: iputils-ping,
-            iputils-tracepath,
+Recommends: iputils-tracepath,
+            ping | iputils-ping,
             rsplib-tools,
-            traceroute,
+            traceroute | inetutils-traceroute,
             whois
 Description: IPv4/IPv6 Subnet Calculator
  SubNetCalc is an IPv4/IPv6 subnet address calculator. For given IPv4 or

## subnetcalc 2.4.21

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 SET(BUILD_MAJOR "2")
 SET(BUILD_MINOR "4")
-SET(BUILD_PATCH "19")
+SET(BUILD_PATCH "21")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})

=== debian/changelog ===
subnetcalc (2.4.21-1) unstable; urgency=medium

  * New upstream release (Closes: #1023302).
  * debian/control: Updated standards version to 4.6.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 22 Jan 2023 22:34:02 +1100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: subnetcalc
 Section: net
 Priority: optional
-Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
-Homepage: https://www.uni-due.de/~be0001/subnetcalc/
+Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
+Homepage: https://www.nntb.no/~dreibh/subnetcalc/
 Build-Depends: cmake (>= 3.0.2),
                debhelper-compat (= 13),
                libfile-fcntllock-perl,
                libgeoip-dev,
                pkg-config
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Vcs-Git: https://github.com/dreibh/subnetcalc.git
-Vcs-Browser: https://github.com/dreibh/subnetcalc
 
 Package: subnetcalc
 Architecture: any

## subnetcalc 2.4.23

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.0.2)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.10)
 PROJECT(subnetcalc LANGUAGES C CXX)
 
 SET(BUILD_MAJOR "2")
 SET(BUILD_MINOR "4")
-SET(BUILD_PATCH "21")
+SET(BUILD_PATCH "23")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,8 @@
 #############################################################################
 
 ADD_EXECUTABLE(subnetcalc subnetcalc.cc tools.cc)
-TARGET_LINK_LIBRARIES(subnetcalc ${GEOIP_LIBRARY})
+IF (GEOIP_FOUND)
+   TARGET_LINK_LIBRARIES(subnetcalc ${GEOIP_LIBRARY})
+ENDIF()
 INSTALL(TARGETS subnetcalc RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
 INSTALL(FILES subnetcalc.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== debian/changelog ===
subnetcalc (2.4.23-1build1) noble; urgency=high

  * No change rebuild against libgeoip1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:02:03 +0200

subnetcalc (2.4.23-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 06 Dec 2023 16:48:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: subnetcalc
 Section: net
 Priority: optional
-Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
 Homepage: https://www.nntb.no/~dreibh/subnetcalc/
-Build-Depends: cmake (>= 3.0.2),
+Build-Depends: cmake,
                debhelper-compat (= 13),
-               libfile-fcntllock-perl,
                libgeoip-dev,
                pkg-config
 Standards-Version: 4.6.2

## subnetcalc 2.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,43 @@
+# ==========================================================================
+#             ____        _     _   _      _    ____      _
+#            / ___| _   _| |__ | \ | | ___| |_ / ___|__ _| | ___
+#            \___ \| | | | '_ \|  \| |/ _ \ __| |   / _` | |/ __|
+#             ___) | |_| | |_) | |\  |  __/ |_| |__| (_| | | (__
+#            |____/ \__,_|_.__/|_| \_|\___|\__|\____\__,_|_|\___|
+#
+#                    ---  IPv4/IPv6 Subnet Calculator  ---
+#                   https://www.nntb.no/~dreibh/subnetcalc/
+# ==========================================================================
+#
+# SubNetCalc - IPv4/IPv6 Subnet Calculator
+# Copyright (C) 2024-2025 by Thomas Dreibholz
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+# Contact: thomas.dreibholz@gmail.com
+
 CMAKE_MINIMUM_REQUIRED(VERSION 3.10)
 PROJECT(subnetcalc LANGUAGES C CXX)
 
 SET(BUILD_MAJOR "2")
-SET(BUILD_MINOR "4")
-SET(BUILD_PATCH "23")
+SET(BUILD_MINOR "6")
+SET(BUILD_PATCH "2")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})
 
 
 #############################################################################
-# INSTALLATION_DIRECTORIES
+#### INSTALLATION_DIRECTORIES                                            ####
 #############################################################################
 
 # See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
@@ -16,14 +45,20 @@
 
 
 #############################################################################
-# PACKAGING
+#### PACKAGING                                                           ####
 #############################################################################
 
 SET(CPACK_SOURCE_GENERATOR "TXZ")
 SET(CPACK_SOURCE_PACKAGE_FILE_NAME
-   "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
-SET(CPACK_SOURCE_IGNORE_FILES
-   "${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}-*;${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}_*;/build/;/.git/;/config.log;/CMakeFiles/;CMakeCache.txt$;.cmake$;.tar.gz$;/_CPack_Packages;/Makefile$;~$;/build-deb;/clean-deb;/filter-empty-entries;/make-symbols;/make-ppa;/make-deb;/debian.conf;/make-rpm;/rpm.conf;${CPACK_SOURCE_IGNORE_FILES}")
+    "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
+SET(CPACK_SOURCE_IGNORE_FILES "\\\\.git;\\\\.swp$;~$;\\\\.\\\\#;/\\\\#")
+LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}[_-]")
+LIST(APPEND CPACK_SOURCE_IGNORE_FILES "\\\\.cmake$|\\\\.make$|\\\\.log$")
+LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/CMakeCache\\\\.txt$")
+LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/(CMakeFiles|CMakeScripts|_CPack_Packages)/")
+LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/package-version\\\\.h$")
+LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/packaging\\\\.conf$")
+LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/(po.*/|src.*/|)Makefile$")
 INCLUDE(CPack)
 
 ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} clean package_source)
@@ -34,7 +69,22 @@
 
 
 #############################################################################
-# OS DEPENDENT
+#### UNINSTALL                                                           ####
+#############################################################################
+
+IF(NOT TARGET uninstall)
+   CONFIGURE_FILE(
+      "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
+      "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
+      IMMEDIATE @ONLY)
+
+   ADD_CUSTOM_TARGET(uninstall
+      COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
+ENDIF()
+
+
+#############################################################################
+#### OS DEPENDENT                                                        ####
 #############################################################################
 
 IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
@@ -65,7 +115,7 @@
 
 
 #############################################################################
-# CHECK STRUCT MEMBERS
+#### CHECK STRUCT MEMBERS                                                ####
 #############################################################################
 
 CHECK_STRUCT_HAS_MEMBER("struct sockaddr" "sa_len" "sys/types.h;sys/socket.h" HAVE_SA_LEN)
@@ -94,46 +144,44 @@
 
 
 #############################################################################
-# REQUIREMENTS
+#### REQUIREMENTS                                                        ####
 #############################################################################
 
+INCLUDE(FindPackageHandleStandardArgs)
+
 # ###### GeoIP ##############################################################
-FIND_PACKAGE(PkgConfig)
-PKG_SEARCH_MODULE(GEOIP geoip)
-
-FIND_PATH(GEOIP_INCLUDE_DIR GeoIP.h
-  HINTS
-    "${GEOIP_INCLUDEDIR}"
-    "${GEOIP_HINTS}/include"
-)
-FIND_LIBRARY(GEOIP_LIBRARY NAMES GeoIP
-  HINTS
-    "${GEOIP_LIBDIR}"
-    "${GEOIP_HINTS}/lib"
-  )
-
+FIND_LIBRARY(GeoIP_LIBRARY NAMES GeoIP)
+FIND_PATH(GeoIP_INCLUDE_DIR NAMES GeoIP.h GeoIPCity.h)
 IF (GEOIP_FOUND)
-   INCLUDE_DIRECTORIES(${GEOIP_INCLUDE_DIR})
+   INCLUDE_DIRECTORIES(${GeoIP_INCLUDE_DIR})
    ADD_DEFINITIONS(-DHAVE_GEOIP -DHAVE_GEOIP_IPV6)
+   MESSAGE(STATUS "GeoIP found.")
+ELSE()
+   MESSAGE(STATUS "GeoIP not found!")
 ENDIF()
+FIND_PACKAGE_HANDLE_STANDARD_ARGS(GeoIP DEFAULT_MSG GeoIP_LIBRARY GeoIP_INCLUDE_DIR)
 
 
 #############################################################################
-# COMPILER FLAGS
+#### INTERNATIONALISATION (I18N)                                         ####
 #############################################################################
 
-SET(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -Wall")
-SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
+FIND_PACKAGE (Intl)
+IF (Intl_FOUND)
+   INCLUDE_DIRECTORIES(${Intl_INCLUDE_DIRS})
+   LINK_DIRECTORIES(${Intl_LIBRARY_DIRS})
+ELSE()
+   MESSAGE(STATUS "Internationalization (i18n) not found!")
+ENDIF()
 
-IF (CMAKE_BUILD_TYPE MATCHES DEBUG)
-    MESSAGE(STATUS "Building in DEBUG mode")
-    # _FORTIFY_SOURCE requires compiling with optimization
-    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O")
-ENDIF()
+FIND_PROGRAM(XGETTEXT xgettext REQUIRED)
+FIND_PROGRAM(MSGMERGE msgmerge REQUIRED)
+FIND_PROGRAM(MSGFMT   msgfmt   REQUIRED)
 
 
 #############################################################################
-# SUBDIRECTORIES
+#### SUBDIRECTORIES                                                      ####
 #############################################################################
 
 ADD_SUBDIRECTORY(src)
+ADD_SUBDIRECTORY(po)

=== po/CMakeLists.txt ===
# System-Tools
# Copyright (C) 2013-2024 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: dreibh@simula.no


#############################################################################
#### TRANSLATIONS                                                        ####
#############################################################################

SET(copyrightHolder   "Copyright (C) 2013-2024 by Thomas Dreibholz")
SET(bugTrackerAddress "https://github.com/dreibh/system-tools/issues")

FILE(GLOB sources "*.sources")

# ====== Find all text domains ==============================================
FOREACH(source IN LISTS sources)
   # The .sources file lists the source files for each text domain:
   GET_FILENAME_COMPONENT(potFile "${source}" NAME_WE)
   SET(potFile "${CMAKE_CURRENT_BINARY_DIR}/${potFile}.pot")
   GET_FILENAME_COMPONENT(textdomain "${source}" NAME_WE)


   # ====== Create POT file (translation template) ==========================
   FILE(READ "${source}" potInputFiles)
   STRING(REGEX REPLACE "[ \n]" ";" potInputFiles "${potInputFiles}")
   SET(LIST potInputFilesForDependency "")
   SET(potInputFilesForGetText "")
   FOREACH(file ${potInputFiles})
      GET_FILENAME_COMPONENT(fileName ${file} NAME)
      IF (${fileName} MATCHES "^[-][-]")
         # Option -> Just add it for gettext
         SET(potInputFilesForGetText "${potInputFilesForGetText} F=${fileName}")
      ELSE()
         # File -> Add absolute file name
         SET(potInputFilesForGetText "${potInputFilesForGetText} ${PROJECT_SOURCE_DIR}/${file}")
         LIST(APPEND potInputFilesForDependency ${potInputFilesAbsolute} "${PROJECT_SOURCE_DIR}/${file}")
      ENDIF()
   ENDFOREACH()

   MESSAGE("Translation template: ${textdomain} (${potInputFiles} -> ${potFile})")
   ADD_CUSTOM_COMMAND(OUTPUT "${potFile}"
                      COMMAND "${XGETTEXT}"
                         --from-code=utf-8
                         --default-domain="${textdomain}"
                         --package-name="${PROJECT_NAME}"
                         --package-version="${BUILD_VERSION}"
                         --copyright-holder="${copyrightHolder}"
                         --msgid-bugs-address="${bugTrackerAddress}"
                         -p "${CMAKE_CURRENT_SOURCE_DIR}"
                         -o "${potFile}"
                         ${potInputFiles}
                       COMMAND sed -e "s/charset=CHARSET/charset=UTF-8/g" -i~ "${potFile}"
                       WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
                       DEPENDS ${potInputFilesForDependency} "${source}"
                       VERBATIM)
   SET(generate_PotFile "generate_pot_${textdomain}")
   ADD_CUSTOM_TARGET(${generate_PotFile} ALL DEPENDS "${potFile}")


   # ====== Process PO files (translations) =================================
   FILE(GLOB_RECURSE poFiles "*/${textdomain}.po")
   FOREACH(poFile IN LISTS poFiles)

      # ====== Update PO file (translation) =================================
      GET_FILENAME_COMPONENT(languageDirectory "${poFile}" DIRECTORY)
      GET_FILENAME_COMPONENT(language "${languageDirectory}" NAME "${CMAKE_CURRENT_SOURCE_DIR}")
      SET(poStampFile "${CMAKE_CURRENT_BINARY_DIR}/${language}/.${textdomain}.po.stamp")

      MESSAGE("Translation update: ${textdomain}, ${language} (${potFile} -> ${poFile})")
      # The .po file cannot be OUTPUT, since "make clean" would then delete it
      # => Using a stamp file as placeholder to ensure the dependency.
      ADD_CUSTOM_COMMAND(OUTPUT "${poStampFile}"
                         COMMAND "${MSGMERGE}"
                            --update "${poFile}" "${potFile}"
                         COMMAND touch "${poStampFile}"
                         WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
                         DEPENDS ${generate_PotFile} "${potFile}")
      SET(generate_PoFile "generate_po_${textdomain}_${language}")
      ADD_CUSTOM_TARGET(${generate_PoFile} DEPENDS "${poStampFile}")


      # ====== Compile PO file to MO file ===================================
      FILE(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/${language}/LC_MESSAGES")
      SET(moFile "${CMAKE_CURRENT_BINARY_DIR}/${language}/LC_MESSAGES/${textdomain}.mo")

      MESSAGE("Compiling translation: ${textdomain}, ${language} (${poFile} -> ${moFile})")
      ADD_CUSTOM_COMMAND(OUTPUT "${moFile}"
                         COMMAND "${MSGFMT}"
                            --statistics
                            --check
                            --output-file="${moFile}"
                            ${poFile}
                         WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
                         DEPENDS ${generate_PoFile} "${poFile}")
      SET(generate_MoFile "generate_mo_${textdomain}_${language}")
      ADD_CUSTOM_TARGET(${generate_MoFile} ALL DEPENDS "${moFile}")


      # ====== Install MO file ==============================================
      INSTALL(FILES "${moFile}"
              DESTINATION "${CMAKE_INSTALL_DATADIR}/locale/${language}/LC_MESSAGES")

   ENDFOREACH()
ENDFOREACH()

=== freebsd/subnetcalc/Makefile ===
PORTNAME=	subnetcalc
DISTVERSION=	2.6.2
CATEGORIES=	net
MASTER_SITES=	https://www.nntb.no/~dreibh/subnetcalc/download/

MAINTAINER=	thomas.dreibholz@gmail.com
COMMENT=	IPv4/IPv6 Subnet Calculator
WWW=		https://www.nntb.no/~dreibh/subnetcalc/

LICENSE=	GPLv3+
LICENSE_FILE=	${WRKSRC}/COPYING

USES=		cmake gettext tar:xz

PLIST_FILES=	bin/subnetcalc \
		share/bash-completion/completions/subnetcalc \
		share/locale/de/LC_MESSAGES/subnetcalc.mo \
		share/locale/nb/LC_MESSAGES/subnetcalc.mo \
		share/bash-completion/completions/subnetcalc \
		share/man/man1/subnetcalc.1.gz

.include <bsd.port.mk>

=== debian/changelog ===
subnetcalc (2.6.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Updated standards version to 4.7.0.
  * Fix for output to stderr instead of stdout (Closes: #1061757).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Mon, 06 Jan 2025 21:44:09 +1300

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: subnetcalc
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
+Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
 Homepage: https://www.nntb.no/~dreibh/subnetcalc/
+Vcs-Git: https://github.com/dreibh/subnetcalc.git
+Vcs-Browser: https://github.com/dreibh/subnetcalc
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libgeoip-dev,
-               pkg-config
-Standards-Version: 4.6.2
+               gettext,
+               libgeoip-dev
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: subnetcalc
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: iputils-tracepath,
+Recommends: iproute2,
+            iputils-tracepath,
             ping | iputils-ping,
             rsplib-tools,
             traceroute | inetutils-traceroute,

## subnetcalc 2.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,7 @@
 
 SET(BUILD_MAJOR "2")
 SET(BUILD_MINOR "6")
-SET(BUILD_PATCH "2")
+SET(BUILD_PATCH "4")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})

=== src/CMakeLists.txt ===
# ==========================================================================
#             ____        _     _   _      _    ____      _
#            / ___| _   _| |__ | \ | | ___| |_ / ___|__ _| | ___
#            \___ \| | | | '_ \|  \| |/ _ \ __| |   / _` | |/ __|
#             ___) | |_| | |_) | |\  |  __/ |_| |__| (_| | | (__
#            |____/ \__,_|_.__/|_| \_|\___|\__|\____\__,_|_|\___|
#
#                    ---  IPv4/IPv6 Subnet Calculator  ---
#                   https://www.nntb.no/~dreibh/subnetcalc/
# ==========================================================================
#
# SubNetCalc - IPv4/IPv6 Subnet Calculator
# Copyright (C) 2024-2025 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com


#############################################################################
#### VERSION FILE                                                        ####
#############################################################################

CONFIGURE_FILE (
   "${CMAKE_CURRENT_SOURCE_DIR}/package-version.h.in"
   "${CMAKE_CURRENT_BINARY_DIR}/package-version.h"
)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})


#############################################################################
#### PROGRAMS                                                            ####
#############################################################################

ADD_EXECUTABLE(subnetcalc subnetcalc.cc tools.cc)
TARGET_LINK_LIBRARIES(subnetcalc ${Intl_LIBRARIES})
IF (GEOIP_FOUND)
   TARGET_LINK_LIBRARIES(subnetcalc ${GeoIP_LIBRARY})
ENDIF()
INSTALL(TARGETS     subnetcalc   RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES       subnetcalc.1 DESTINATION         ${CMAKE_INSTALL_MANDIR}/man1)
INSTALL(FILES       subnetcalc.bash-completion
        DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
        RENAME      subnetcalc)

=== freebsd/subnetcalc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PORTNAME=	subnetcalc
-DISTVERSION=	2.6.2
+DISTVERSION=	2.6.4
 CATEGORIES=	net
 MASTER_SITES=	https://www.nntb.no/~dreibh/subnetcalc/download/

=== debian/changelog ===
subnetcalc (2.6.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Updated standards version to 4.7.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 27 Apr 2025 20:28:36 +0200
